org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class UnfoldTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.UnfoldTest

- Direct Known Subclasses:
    UnfoldTest.Traversals

      public abstract class UnfoldTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UnfoldTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnfoldTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_localXoutE_foldX_unfold()`
    `void` | `g_V_valueMap_unfold_mapXkeyX()`
    `void` | `g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_localXoutE_foldX_unfold()`
    `abstract Traversal<Vertex,String>` | `get_g_V_valueMap_unfold_mapXkeyX()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold(Object v1Id, Object v6Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnfoldTest

          public UnfoldTest()

  - ### Method Detail

    - #### get_g_V_localXoutE_foldX_unfold

          public abstract Traversal<Vertex,Edge> get_g_V_localXoutE_foldX_unfold()

    - #### get_g_V_valueMap_unfold_mapXkeyX

          public abstract Traversal<Vertex,String> get_g_V_valueMap_unfold_mapXkeyX()

    - #### get_g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold

          public abstract Traversal<Vertex,String> get_g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold(Object v1Id,
                                                                                                                           Object v6Id)

    - #### g_V_localXoutE_foldX_unfold

          public void g_V_localXoutE_foldX_unfold()

    - #### g_V_valueMap_unfold_mapXkeyX

          public void g_V_valueMap_unfold_mapXkeyX()

    - #### g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold

          public void g_VX1X_repeatXboth_simplePathX_untilXhasIdX6XX_path_byXnameX_unfold()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.